<?php
require_once("/home/painelvideo/public_html/admin/inc/conecta.php");
require_once("/home/painelvideo/public_html/admin/inc/funcoes.php");
require_once("/home/painelvideo/public_html/admin/inc/classe.ssh.php");

$inicio_execucao = tempo_execucao();

$sql = mysqli_query($conexao,"SELECT * FROM lives where status = '1'");
while ($dados_live = mysqli_fetch_array($sql)) {

// Verifica se passou tempo limite e termina tansmissao
$tempo = date_diff_minutes($dados_live["data_inicio"]);

// FInaliza transmissao se tiver passado 125 minutos(voce pode alterar este 150 abaixo para mais ou para menos)
if($tempo > 125) {

$dados_stm = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM streamings where codigo = '".$dados_live["codigo"]."'"));
$dados_servidor = mysqli_fetch_array(mysqli_query($conexao,"SELECT * FROM servidores where codigo = '".$dados_stm["codigo_servidor"]."'"));

mysqli_query($conexao,"Update lives set status = '0' where codigo = '".$dados_live["codigo"]."'");

// Para a transmissao
// Conexao SSH
$ssh = new SSH();
$ssh->conectar($dados_servidor["ip"],$dados_servidor["porta_ssh"]);
$ssh->autenticar("root",code_decode($dados_servidor["senha"],"D"));

$ssh->executar("/bin/ps aux | /bin/grep ffmpeg | /bin/grep playlist.m3u8 | /bin/grep ".$dados_stm["login"]." | /bin/grep ".$dados_live["tipo"]." | /bin/awk {'print $2'} | /usr/bin/xargs /bin/kill -9");

echo "[".$dados_stm["login"]."][".$dados_live["tipo"]."][Finalizado] Tempo: ".$tempo." minutos.\n";

} else {
echo "[".$dados_stm["login"]."][".$dados_live["tipo"]."] Tempo: ".$tempo." minutos.\n";

}

}

$fim_execucao = tempo_execucao();

$tempo_execucao = number_format(($fim_execucao-$inicio_execucao),2);

echo "\n\nProcesso concluido em ".$tempo_execucao." segundos.\n";
?>